" Maintainer: Raphael Finkel <raphael@cs.uky.edu>
" Last Changed: 2001 Mar 20
" Based on my Yiddish.kmap for the Yudit editor
let b:keymap_name = "YiddishCombined"
loadkeymap

" These are the Yiddish letters, according to the Yiddish Phonetic Keyboard of
" Yankl Halpern, visible at
" http://members.bellatlantic.net/~sjuni/uyip/yidphnus.gif .
" I have excluded the keystrokes using the <ctr> key.
" I have added a few ligatures for YIVO input.
" This keymap uses precombined characters, not combining forms.

a <char-0xFB2E> " אַ 
ay <char-0xFB1F> " ײַ
A <char-0x05D0> " א
B <char-0xFB4C> " בֿ
b <char-0x05D1> " ב
c <char-0x05E6> " צ
ts <char-0x05E6> " צ
tsh <char-0x05d8><char-0x05E9> " טש

ts, <char-0x05E5>, " ץ,
ts`` <char-0x05E5><char-0x201C> " ץ“
ts. <char-0x05E5>. " ץ.
ts? <char-0x05E5>? " ץ?
ts: <char-0x05E5>: " ץ:
ts! <char-0x05E5>! " ץ!
ts; <char-0x05E5>; " ץ;
ts- <char-0x05E5><char-0x05BE> " ץ־
ts( <char-0x05E5>( " ץ(
ts<space> <char-0x05E5><space> " ץ 
ts<space>i  <char-0x05E5><space><char-0x05D0><char-0x05D9> " ץ אי
ts<space>ey  <char-0x05E5><space><char-0x05D0><char-0x05F2> " ץ אײ
ts<space>oy  <char-0x05E5><space><char-0x05D0><char-0x05F1> " ץ אױ
ts<space>ay  <char-0x05E5><space><char-0x05D0><char-0xFB1F> " ץ אײַ
ts<space>u  <char-0x05E5><space><char-0x05D0><char-0x05D5> " ץ או

C <char-0x05E5> " ץ

c, <char-0x05E5>, " ץ,
c`` <char-0x05E5><char-0x201C> " ץ“
c. <char-0x05E5>. " ץ.
c? <char-0x05E5>? " ץ?
c: <char-0x05E5>: " ץ:
c! <char-0x05E5>! " ץ!
c; <char-0x05E5>; " ץ;
c- <char-0x05E5><char-0x05BE> " ץ־
c( <char-0x05E5>( " ץ(
c<space> <char-0x05E5><space> " ץ 
c<space>i  <char-0x05E5><space><char-0x05D0><char-0x05D9> " ץ אי
c<space>ey  <char-0x05E5><space><char-0x05D0><char-0x05F2> " ץ אײ
c<space>oy  <char-0x05E5><space><char-0x05D0><char-0x05F1> " ץ אױ
c<space>ay  <char-0x05E5><space><char-0x05D0><char-0xFB1F> " ץ אײַ 
c<space>u  <char-0x05E5><space><char-0x05D0><char-0x05D5> " ץ או

d <char-0x05D3> " ד
dj <char-0x05D3><char-0x05D6><char-0x05E9>  " דזש
e <char-0x05E2> " ע
E <char-0x05F2> " ײ
Ei <char-0x05F2><char-0xFB1D> " ײיִ
ey <char-0x05F2> " ײ
eyi <char-0x05F2><char-0xFB1D> " ײיִ
f <char-0xFB4E> " פֿ
F <char-0x05E3> " ף

f, <char-0x05E3>, " ף,
f`` <char-0x05E3><char-0x201C> " ף“
f. <char-0x05E3>. " ף.
f? <char-0x05E3>? " ף?
f: <char-0x05E3>: " ף:
f! <char-0x05E3>! " ף!
f; <char-0x05E3>; " ף;
f- <char-0x05E3><char-0x05BE> " ף־
f( <char-0x05E3>( " ף(
f<space>  <char-0x05E3><space> " ף 
f<space>i  <char-0x05E3><space><char-0x05D0><char-0x05D9> " ף אי
f<space>ey  <char-0x05E3><space><char-0x05D0><char-0x05F2> " ף אײ
f<space>oy  <char-0x05E3><space><char-0x05D0><char-0x05F1> " ף אױ
f<space>ay  <char-0x05E3><space><char-0x05D0><char-0xFB1F> " ף אײַ
f<space>u  <char-0x05E3><space><char-0x05D0><char-0x05D5> " ף או

g <char-0x05D2> " ג
h <char-0x05D4> " ה
H <char-0x05D7> " ח
<space>i <space><char-0x05D0><char-0x05D9> "  אי 
<space>ey <space><char-0x05D0><char-0x05F2> "  אײ 
<space>oy <space><char-0x05D0><char-0x05F1> "  אױ 
<space>ay <space><char-0x05D0><char-0xFB1F> "  אײַ 
<space>u <space><char-0x05D0><char-0x05D5> "  או 
,, <char-0x201E> " „
,,i  <char-0x201E><char-0x05D0><char-0x05D9> " „אי
,,ey  <char-0x201E><char-0x05D0><char-0x05F2> " „אײ
,,oy  <char-0x201E><char-0x05D0><char-0x05F1> " „אױ
,,ay  <char-0x201E><char-0x05D0><char-0xFB1F> " „אײַ
,,u  <char-0x201E><char-0x05D0><char-0x05D5> " „או
i <char-0x05D9> " י
ii <char-0x05D9><char-0xFB1D> " ייִ
iy <char-0xFB1D><char-0x05D9> " יִי
I <char-0xFB1D> " יִ
j <char-0x05F2> " ײ
J <char-0xFB1F> " ײַ
k <char-0x05E7> " ק
kh <char-0x05DB> " כ

kh, <char-0x05DA>, " ך,
kh`` <char-0x05DA><char-0x201C> " ך“
kh. <char-0x05DA>. " ך.
kh? <char-0x05DA>? " ך?
kh: <char-0x05DA>: " ך:
kh! <char-0x05DA>! " ך!
kh; <char-0x05DA>; " ך;
kh- <char-0x05DA><char-0x05BE> " ך־
kh( <char-0x05DA>( " ך(
kh<space> <char-0x05DA><space> " ך 
kh<space>i  <char-0x05DA><space><char-0x05D0><char-0x05D9> " ך אי
kh<space>ey  <char-0x05DA><space><char-0x05D0><char-0x05F2> " ך אײ
kh<space>oy  <char-0x05DA><space><char-0x05D0><char-0x05F1> " ך אױ
kh<space>ay  <char-0x05DA><space><char-0x05D0><char-0xFB1F> " ך אײַ
kh<space>u  <char-0x05DA><space><char-0x05D0><char-0x05D5> " ך או

K <char-0x0FB3B> " כּ
l <char-0x05DC> " ל
m <char-0x05DE> " מ
M <char-0x05DD> " ם

m, <char-0x05DD>, " ם,
m`` <char-0x05DD><char-0x201C> " ם“
m. <char-0x05DD>. " ם.
m? <char-0x05DD>? " ם?
m: <char-0x05DD>: " ם:
m! <char-0x05DD>! " ם!
m; <char-0x05DD>; " ם;
m- <char-0x05DD><char-0x05BE> " ם־
m( <char-0x05DD>( " ם(
m<space> <char-0x05DD><space> " ם 
m<space>i  <char-0x05DD><space><char-0x05D0><char-0x05D9> " ם אי
m<space>ey  <char-0x05DD><space><char-0x05D0><char-0x05F2> " ם אײ
m<space>oy  <char-0x05DD><space><char-0x05D0><char-0x05F1> " ם אױ
m<space>ay  <char-0x05DD><space><char-0x05D0><char-0xFB1F> " ם אײַ
m<space>u  <char-0x05DD><space><char-0x05D0><char-0x05D5> " ם או

n <char-0x05E0> " נ
N <char-0x05DF> " ן

n, <char-0x05DF>, " ן,
n`` <char-0x05DF><char-0x201C> " ן“
n. <char-0x05DF>. " ן.
n? <char-0x05DF>? " ן?
n: <char-0x05DF>: " ן:
n! <char-0x05DF>! " ן!
n; <char-0x05DF>; " ן;
n- <char-0x05DF><char-0x05BE> " ן־
n( <char-0x05DF>( " ן(
n<space> <char-0x05DF><space> " ן 
n<space>i  <char-0x05DF><space><char-0x05D0><char-0x05D9> " ן אי
n<space>ey  <char-0x05DF><space><char-0x05D0><char-0x05F2> " ן אײ
n<space>oy  <char-0x05DF><space><char-0x05D0><char-0x05F1> " ן אױ
n<space>ay  <char-0x05DF><space><char-0x05D0><char-0xFB1F> " ן אײַ
n<space>u  <char-0x05DF><space><char-0x05D0><char-0x05D5> " ן או

o <char-0xFB2F> " אָ
oy <char-0x05F1> " ױ
oyi <char-0x05F1><char-0xFB1D> " ױיִ
O <char-0x05F1> " ױ
Oi <char-0x05F1><char-0xFB1D> " ױיִ
p <char-0xFB44> " פּ
q <char-0xFB1F> " ײַ
r <char-0x05E8> " ר
s <char-0x05E1> " ס
S <char-0x05EA> " ת
t <char-0x05D8> " ט
T <char-0xFB4A> " תּ
u <char-0x05D5> " ו
ui <char-0x05D5><char-0xFB1D> " ויִ
uv <char-0xFB35><char-0x05F0> " וּװ
uvu <char-0xFB35><char-0x05F0><char-0xFB35> " וּװוּ
uu <char-0xFB35><char-0x05D5> " וּו
uy <char-0xFB35><char-0x05D9> " וּי
U <char-0xFB35> " וּ
v <char-0x05F0> " װ
vu <char-0x05F0><char-0xFB35> " װוּ
V <char-0xFB4C> " בֿ
w <char-0x05E9> " ש
sh <char-0x05E9> " ש
W <char-0xFB2B> " שׂ
x <char-0x05DB> " כ
X <char-0x05DA> " ך

x, <char-0x05DA>, " ך,
x`` <char-0x05DA><char-0x201C> " ך“
x. <char-0x05DA>. " ך.
x? <char-0x05DA>? " ך?
x: <char-0x05DA>: " ך:
x! <char-0x05DA>! " ך!
x; <char-0x05DA>; " ך;
x- <char-0x05DA><char-0x05BE> " ך־
x( <char-0x05DA>( " ך(
x<space> <char-0x05DA><space> " ך 
x<space>i  <char-0x05DA><space><char-0x05D0><char-0x05D9> " ך אי
x<space>ey  <char-0x05DA><space><char-0x05D0><char-0x05F2> " ך אײ
x<space>oy  <char-0x05DA><space><char-0x05D0><char-0x05F1> " ך אױ
x<space>ay  <char-0x05DA><space><char-0x05D0><char-0xFB1F> " ך אײַ
x<space>u  <char-0x05DA><space><char-0x05D0><char-0x05D5> " ך או

y <char-0x05D9> " י
yi <char-0x05D9><char-0xFB1D> " ייִ
Y <char-0xFB1F> " ײַ
z <char-0x05D6> " ז
zh <char-0x05D6><char-0x05E9> " זש

| <nop> " 
-   <char-0x05BE> " ־
`` <char-0x201C> " “

@m <char-0x05BD> "  ֽ hebrew point meteg
@a <char-0x05B7> "  ַ hebrew point patah
@A <char-0x05B5> "  ֵ hebrew point tsere
@d <char-0x05BC> "  ּ hebrew point dagesh/mapiq
@o <char-0x05B8> "  ָ hebrew point qamats
@e <char-0x05B6> "  ֶ hebrew point segol
@O <char-0x05B9> "  ֹ hebrew point holam
@u <char-0x05BB> "  ֻ hebrew point qubuts
@i <char-0x05B4> "  ִ hebrew point hiriq
@: <char-0x05B0> "  ְ hebrew point shewa
